def xor(data, key):
    l = len(key)
    return bytearray((
        (data[i] ^ key[i % l]) for i in range(0,len(data))
    ))

data = bytearray(open('xo.rar', 'rb').read())

#key = bytearray([0x52, 0x61, 0x72, 0x21, 0x1A, 0x07, 0x01, 0x00])
#key = bytearray([0x52, 0x61, 0x72, 0x21, 0x1A, 0x07, 0x01])

#key = bytearray([0x52, 0x61, 0x72, 0x21, 0x1A, 0x07, 0x00])
#key = bytearray([0x52, 0x61, 0x72, 0x21, 0x1A, 0x07])

key = bytearray([0x52, 0x61, 0x72, 0x21, 0x1A, 0x07, 0x01, 0x00])

sol = xor(data, key)

f = open('sol.rar', 'w+b')
f.write(sol)
f.close()


